Subject: Re: bug#48439: 28.0.50; Support for the Alacritty terminal emulator

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 May 2021 16:29:47 +0300

> Date: Sat, 15 May 2021 16:18:02 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> The question is how close.  If it is 90% close, then using the alias
> makes sense.  But if it has enough unique features, then using an
> alias will rob users of those features for no good reason.
> 
> > > Do you know where I can find the terminfo database for Alacritty?
> > 
> > I've attached an archive of the 3 alacritty files in my
> > /usr/share/terminfo/a/ directory if that's what you were looking for.
> 
> Thanks, but these files are not recognized by 'infocmp', which I tried
> to use to decompile them (assuming they were terminfo files compiled
> by 'tic').

Sorry, it seems I gave up too soon.  Here are the results of comparing
alacritty+common (the only file my infocmp recognized) with
xterm-256color:

  comparing alacritty+common to xterm-256color.
      comparing booleans.
	  ccc: F:T.
	  hs: T:F.
	  km: F:T.
      comparing numbers.
	  colors: 8, 256.
	  pairs: 64, 32767.
      comparing strings.
	  dim: '\E[2m', NULL.
	  dsl: '\E]2;\007', NULL.
	  fsl: '^G', NULL.
	  initc: NULL, '\E]4;%p1%d;rgb\:%p2%{255}%*%{1000}%/%2.2X/%p3%{255}%*%{1000}%/%2.2X/%p4%{255}%*%{1000}%/%2.2X\E\\'.
	  kbs: '\177', '^H'.
	  kmous: '\E[<', '\E[M'.
	  rep: '%p1%c\E[%p2%{1}%-%db', NULL.
	  ritm: '\E[23m', NULL.
	  rmcup: '\E[?1049l\E[23;0;0t', '\E[?1049l'.
	  setab: '\E[4%p1%dm', '\E[%?%p1%{8}%<%t4%p1%d%e%p1%{16}%<%t10%p1%{8}%-%d%e48;5;%p1%d%;m'.
	  setaf: '\E[3%p1%dm', '\E[%?%p1%{8}%<%t3%p1%d%e%p1%{16}%<%t9%p1%{8}%-%d%e38;5;%p1%d%;m'.
	  setb: '\E[4%?%p1%{1}%=%t4%e%p1%{3}%=%t6%e%p1%{4}%=%t1%e%p1%{6}%=%t3%e%p1%d%;m', NULL.
	  setf: '\E[3%?%p1%{1}%=%t4%e%p1%{3}%=%t6%e%p1%{4}%=%t1%e%p1%{6}%=%t3%e%p1%d%;m', NULL.
	  sgr: '%?%p9%t\E(0%e\E(B%;\E[0%?%p6%t;1%;%?%p5%t;2%;%?%p2%t;4%;%?%p1%p3%|%t;7%;%?%p4%t;5%;%?%p7%t;8%;m', '%?%p9%t\E(0%e\E(B%;\E[0%?%p6%t;1%;%?%p2%t;4%;%?%p1%p3%|%t;7%;%?%p4%t;5%;%?%p7%t;8%;m'.
	  sitm: '\E[3m', NULL.
	  smcup: '\E[?1049h\E[22;0;0t', '\E[?1049h'.
	  tsl: '\E]2;', NULL.
	  u8: '\E[?%[;0123456789]c', '\E[?1;2c'.

Looks quite extensive to me.  Of particular importance are: the number
of colors (not 256 but only 8 in alacritty), and different commands to
set fore- and back-ground colors.

Is there any way to raise these issues with the Alacritty developers?
Maybe there's something here I don't understand (I don't consider
myself an expert on terminal capabilities).

Thanks.